Bug 1603616 - capstone: FTBFS in Fedora rawhide
Summary: capstone: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: capstone
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 18:06 UTC by Mohan Boddu
Modified: 2018-09-21 05:22 UTC (History)
2 users (show)

Fixed In Version: capstone-3.0.5-1.fc28 capstone-3.0.5-1.fc27 capstone-3.0.5-1.el7 capstone-3.0.5-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 14:29:35 UTC


Attachments (Terms of Use)
build.log (6.65 KB, text/plain)
2018-07-19 18:07 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-19 18:07 UTC, Mohan Boddu
no flags Details
state.log (627 bytes, text/plain)
2018-07-19 18:07 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 18:06:54 UTC
capstone failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28170612


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix capstone at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
capstone will be orphaned. Before branching of Fedora 30,
capstone will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 18:07:00 UTC
Created attachment 1460893 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 18:07:03 UTC
Created attachment 1460894 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 18:07:06 UTC
Created attachment 1460895 [details]
state.log

Comment 4 Igor Gnatenko 2018-07-23 11:16:43 UTC
Matches:
/bin/sh: cc: command not found

Suggested fix:
BuildRequires:  gcc

Comment 5 Jan Kurik 2018-08-14 09:48:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Fedora Update System 2018-08-28 16:14:11 UTC
capstone-3.0.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4143561941

Comment 7 Fedora Update System 2018-08-28 16:14:20 UTC
capstone-3.0.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-83bc247d3b

Comment 8 Fedora Update System 2018-08-28 16:14:29 UTC
capstone-3.0.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-974e947d3b

Comment 9 Fedora Update System 2018-08-28 16:14:40 UTC
capstone-3.0.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-236b486e01

Comment 10 Fedora Update System 2018-08-29 19:04:45 UTC
capstone-3.0.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-974e947d3b

Comment 11 Fedora Update System 2018-08-29 23:13:21 UTC
capstone-3.0.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-974e947d3b

Comment 12 Fedora Update System 2018-08-30 04:23:08 UTC
capstone-3.0.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-236b486e01

Comment 13 Fedora Update System 2018-08-30 04:42:22 UTC
capstone-3.0.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4143561941

Comment 14 Fedora Update System 2018-08-30 05:54:52 UTC
capstone-3.0.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-83bc247d3b

Comment 15 Fedora Update System 2018-09-06 03:10:34 UTC
capstone-3.0.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-09-09 04:02:06 UTC
capstone-3.0.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-09-14 21:13:27 UTC
capstone-3.0.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-09-21 05:22:05 UTC
capstone-3.0.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.